<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Домашнее задание №1(Возростание)</title>
</head>
<body>
<script>
function Rectangle (x,y,z,p,l,f,j,i,t,h,u) {
this.age1 = x;
this.age2 = y;
this.age3 = z;
this.age4 = p;
this.age5 = l;
this.age6 = f;
this.age7 = j;
this.age8 = i;
this.age9 = t;
this.age10 = h;
this.age11 = u;
}
Rectangle.prototype.getArea = function(){return this.age1,this.age2,this.age3,this.age4,this.age5,this.age6,this.age7,this.age8,this.age9,this.age10,this.age11;};
Rectangle.prototype.name = 'Human';
var rect1 = new Rectangle (20,21,22,23,24,25,26,27,28,29,30);
document.write("Возраст человека"+rect1.getArea()+"<br/>");
/*
Здесь возвращается последнее наибольшее число ряда.
*/
</script>
</body>
</html>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Домашнее задание №1(Убывание)</title>
</head>
<body>
<script>
function Rectangle (x,y,z,p,l,f,j,i,t,h,u) {
this.age1 = x;
this.age2 = y;
this.age3 = z;
this.age4 = p;
this.age5 = l;
this.age6 = f;
this.age7 = j;
this.age8 = i;
this.age9 = t;
this.age10 = h;
this.age11 = u;
}
Rectangle.prototype.getArea = function(){return this.age1,this.age2,this.age3,this.age4,this.age5,this.age6,this.age7,this.age8,this.age9,this.age10,this.age11;};
Rectangle.prototype.name = 'Human';
var rect1 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect1.getArea()+"<br/>");
/*
Здесь возвращается последнее наименьшее число ряда.
*/
</script>
</body>
</html>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Домашнее задание №2(Cвои методы)</title>
</head>
<body>
<script>
function Rectangle (x,y,z,p,l,f,j,i,t,h,u) {
this.age1 = x;
this.age2 = y;
this.age3 = z;
this.age4 = p;
this.age5 = l;
this.age6 = f;
this.age7 = j;
this.age8 = i;
this.age9 = t;
this.age10 = h;
this.age11 = u;
}
Rectangle.prototype.getArea = function(){return this.age1,this.age2,this.age3,this.age4,this.age5,this.age6,this.age7,this.age8,this.age9,this.age10,this.age11;};
Rectangle.prototype.name = 'Earth';
var rect1 = new Rectangle (30,29,28,27,26,25,24,23,22,21,20);
document.write("Возраст человека"+rect1.getArea()+"<br/>");
/*
Здесь возвращается последнее наименьшее число ряда.
*/
</script>
</body>
</html>
